# UpdateScriptHistoryData | windmill-client
Documentation for windmill-client

# Type Alias UpdateScriptHistoryData

UpdateScriptHistoryData: {
hash: string;
path: string;
requestBody: {
deployment_msg?: string;
};
workspace: string;
}

#### Type declaration

- ##### hash: string

- ##### path: string

- ##### requestBody: {
  deployment_msg?: string;
  }

  Script deployment message

  - ##### `Optional` deployment_msg?: string

- ##### workspace: string

- Defined in src/types.gen.ts:3062